QGIS Application - Bug report #19901
Relation Reference Widget: Representation for NULL values is not respected
2018-09-20 11:30 AM - Manuel K

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Forms

Affected QGIS version:3.3(master) Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27725
Description

Drop-down list of Relation reference widget:

Whatever "Representation for NULL values" is configured in "Options - Data Sources", a NULL value in the drop-down list is always
wrongly displayed as "NULL".

See attached example with "MY_NULL_REPRESENTATION_VALUE" as NULL representation.

Associated revisions

Revision 5378e37c¢ - 2018-09-20 04:30 PM - Alessandro Pasotti

QgsFeatureListComboBox nullRepresentation instead of hardcoded "NULL"

Fixes #19901 - Relation Reference Widget: Representation for NULL values is not respected

History

#1 - 2018-09-20 12:52 PM - Alessandro Pasotti
- Status changed from Open to Feedback

does this also happen if you restart QGIS after changing the null value representation?

#2 - 2018-09-20 01:08 PM - Manuel K

Yes.
| changed the null value representation to several other values (my preferred setting is an empty string by the way) and always restarted QGIS. Same
behaviour.

#3 - 2018-09-20 02:22 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2018-09-20 04:31 PM - Alessandro Pasotti

- Status changed from Feedback to In Progress
- Pull Request or Patch supplied changed from No to Yes
PR https://github.com/qgis/QGIS/pull/7969

#5 - 2018-09-21 10:55 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|5378e37cf904c941e5f2ae425¢c3e5ce cff35dal.
